Bug 59749 - [Smoke] [High Sierra 10.13] Unable to create workbook template for Xamarin.Mac (Modern, full) , getting "Unable to connect" error.
Summary: [Smoke] [High Sierra 10.13] Unable to create workbook template for Xamarin.Ma...
Status: VERIFIED FIXED
Alias: None
Product: Workbooks & Inspector
Classification: Xamarin
Component: Agent: Mac (show other bugs)
Version: 1.3.1 Stable
Hardware: PC Mac OS
: --- critical
Target Milestone: 1.3
Assignee: xamarininteractive
URL:
Depends on:
Blocks:
 
Reported: 2017-09-26 12:55 UTC by Jacky Waswani
Modified: 2017-10-03 20:52 UTC (History)
5 users (show)

Tags: GlobalLogic, No_Shiproom
Is this bug a regression?: No
Last known good build:


Attachments
Inspector Logs (11.32 KB, text/plain)
2017-09-26 12:55 UTC, Jacky Waswani
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Comment 1 Sandy Armstrong [MSFT] 2017-09-26 13:27:41 UTC
Hi Jacky,

Thanks for reporting this.

Do you experience the same issue on macOS 10.12?

Do you experience the same issue with other workbook types (Console, for example) on macOS 10.13?
Comment 2 GouriKumari 2017-09-26 14:53:14 UTC
>> Do you experience the same issue on macOS 10.12?
This issue is not occuring on macOS 10.12. I can create console, iOS, mac work books using system mono and .net core.

>>Do you experience the same issue with other workbook types (Console, for example) on macOS 10.13?

yes, this issue occurs with all workbooks when System Mono is selected. With .netCore workbooks are created successfully.


##Test Env:
=== Visual Studio Enterprise 2017 for Mac (Preview) ===

Version 7.2 Preview (7.2 build 583)
Installation UUID: 8b378ba3-8e4a-462b-8365-7bd4591e7050
Runtime:
	Mono 5.4.0.174 (2017-06/1afb931de69) (64-bit)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 504000174

=== NuGet ===

Version: 4.3.0.4199

=== .NET Core ===

Runtime: Not installed
SDK: Not installed
MSBuild SDKs: /Library/Frameworks/Mono.framework/Versions/5.4.0/lib/mono/msbuild/15.0/bin/Sdks

=== Xamarin.Profiler ===

Version: 1.5.6
Location: /Applications/Xamarin Profiler.app/Contents/MacOS/Xamarin Profiler

=== Apple Developer Tools ===

Xcode 9.0 (13247)
Build 9A235

=== Xamarin.iOS ===

Version: 10.14.0.26 (Visual Studio Enterprise)
Hash: 416f778f
Branch: d15-4
Build date: 2017-08-25 17:30:05-0400

=== Xamarin.Mac ===

Version: 3.8.0.26 (Visual Studio Enterprise)

=== Xamarin.Android ===

Version: 7.5.0.15 (Visual Studio Enterprise)
Android SDK: Not found

=== Xamarin Inspector ===

Version: 1.3.1
Hash: cbc48dd
Branch: 1.3-release
Build date: Thu, 21 Sep 2017 19:52:53 GMT
Client compatibility: 1

=== Build Information ===

Release ID: 702000583
Git revision: 861d3eb8f64655762b85235dde49874645208f51
Build date: 2017-09-05 15:23:48-04
Xamarin addins: 838dc0d12bdbb0407ea44b7bfd11fbe30ddac07b
Build lane: monodevelop-lion-d15-4

=== Operating System ===

Mac OS X 10.13.0
Darwin 17.0.0 Darwin Kernel Version 17.0.0
    Thu Aug 24 21:48:19 PDT 2017
    root:xnu-4570.1.46~2/RELEASE_X86_64 x86_64
Comment 3 Sandy Armstrong [MSFT] 2017-09-26 14:55:39 UTC
Can you share the log for trying to create a System Mono Console workbook, please?
Comment 4 GouriKumari 2017-09-26 15:27:44 UTC
I could reproduce the issue consistently with only iOS and mac workbooks. 

## Logs:
Inspector log: https://gist.github.com/GouriKumari/96a7ee1e15fe9fe306da38c66b451312

##Supplemental Info:
Console workbook started to work once I switched from .netcore back to System.Mono.
Comment 6 Sandy Armstrong [MSFT] 2017-10-03 17:10:51 UTC
This is fixed and will be released in an upcoming 1.3.x.
Comment 7 GouriKumari 2017-10-03 19:06:27 UTC
Verified fix with 1.3.1. I am able to create iOS and Mac workbooks without any "unable to connect" error.

## Screencast:
https://screencast.com/t/2OFdY0h0x

## Test Env:
=== Visual Studio Enterprise 2017 for Mac (Preview) ===

Version 7.2 Preview (7.2 build 634)
Installation UUID: 8b378ba3-8e4a-462b-8365-7bd4591e7050
Runtime:
	Mono 5.4.0.201 (2017-06/71277e78f6e) (64-bit)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 504000201

=== NuGet ===

Version: 4.3.1.4445

=== .NET Core ===

Runtime: /usr/local/share/dotnet/dotnet
Runtime Version: 2.0.0
SDK: /usr/local/share/dotnet/sdk/2.0.0/Sdks
SDK Version: 2.0.0
MSBuild SDKs: /Library/Frameworks/Mono.framework/Versions/5.4.0/lib/mono/msbuild/15.0/bin/Sdks

=== Xamarin.Profiler ===

Version: 1.5.6
Location: /Applications/Xamarin Profiler.app/Contents/MacOS/Xamarin Profiler

=== Apple Developer Tools ===

Xcode 9.0 (13247)
Build 9A235

=== Xamarin.iOS ===

Version: 11.2.0.8 (Visual Studio Enterprise)
Hash: 9a9f0541
Branch: d15-4-xi
Build date: 2017-09-20 14:57:51-0400

=== Xamarin.Mac ===

Version: 3.8.0.49 (Visual Studio Enterprise)

=== Xamarin.Android ===

Version: 8.0.0.33 (Visual Studio Enterprise)
Android SDK: Not found

=== Xamarin Inspector ===

Version: 1.3.1+10
Hash: f1dd35b
Branch: 1.3-release
Build date: Tue, 03 Oct 2017 17:35:18 GMT
Client compatibility: 1

=== Build Information ===

Release ID: 702000634
Git revision: cab57de4a7f8c07b8d910d14fff83942cd3f02bf
Build date: 2017-10-02 13:18:41-04
Xamarin addins: a8da992c78f7eb65b3cdb3f951c34a30337cab35
Build lane: monodevelop-lion-d15-4

=== Operating System ===

Mac OS X 10.13.0
Darwin 17.0.0 Darwin Kernel Version 17.0.0
    Thu Aug 24 21:48:19 PDT 2017
    root:xnu-4570.1.46~2/RELEASE_X86_64 x86_64